#ifndef XSTREAMFILENAMERAW_H
#define XSTREAMFILENAMERAW_H

#include "xasset.h"
#include "xstring.h"

class XStreamFileNameRaw : public XAsset
{
public:
    XStreamFileNameRaw();
    ~XStreamFileNameRaw();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XString* mDir;
    XString* mName;
};

#endif // XSTREAMFILENAMERAW_H
